summaryrefslogtreecommitdiff
path: root/tests/lib-restricts
diff options
context:
space:
mode:
Diffstat (limited to 'tests/lib-restricts')
-rw-r--r--tests/lib-restricts22
1 files changed, 22 insertions, 0 deletions
diff --git a/tests/lib-restricts b/tests/lib-restricts
new file mode 100644
index 0000000..bffe13a
--- /dev/null
+++ b/tests/lib-restricts
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+t-restriction-x-dgit-intree-only () {
+ if [ "x$DGIT_TEST_INTREE" != x ]; then return 0; fi
+ echo 'running installed package version'
+ return 1
+}
+
+t-restriction-x-dgit-git-only () {
+ if test -d .git; then return 0; fi
+ echo 'not running out of git clone'
+ return 1
+}
+
+t-restriction-x-dgit-schroot-build () {
+ schroot -l -c build 2>&1 >/dev/null || return 1
+}
+
+t-restriction-x-dgit-unfinished () {
+ echo 'unfinished test, or unfinished feature'
+ return 1
+}